import * as _nuxt_schema from '@nuxt/schema';

type ViewsCache = {
    [key: string]: number;
};
declare enum PageViewsProvider {
    GoogleAnalytics = "googleAnalytics"
}
interface ModuleOptions {
    credentialsFile?: string;
    credentials?: {
        type: "service_account";
        project_id: string;
        private_key_id: string;
        private_key: string;
        client_email: string;
        client_id: string;
        auth_uri?: string;
        token_ur?: string;
        auth_provider_x509_cert_url?: string;
        client_x509_cert_url: string;
    };
    propertyId: string;
    endpoint?: string;
    /**
     * Get views for exact URLs, do not merge views for URLs that may or may not have a trailing slash
     */
    exact?: boolean;
    startDate?: string;
    debug?: boolean;
    preload?: boolean;
    provider: PageViewsProvider;
    cacheTimeout?: number;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, PageViewsProvider, ViewsCache, _default as default };
