import { useNuxtApp, useRoute, useRuntimeConfig, useState } from "#app";
import { ref } from "#imports";
import { watch } from "vue";
export const usePageViews = async (path) => {
  if (!path) {
    path = useRoute().path;
  }
  if (path !== void 0) {
    const config = useRuntimeConfig();
    const allPageViews = await useState("pageViews", () => ({}));
    const views = ref("0");
    const { exact } = config.pageViews;
    if (!exact && path != "/") {
      path = path.replace(/\/$/, "");
    }
    if (process.client) {
      const unwatch = watch(allPageViews.value, (allPageViews2) => {
        views.value = allPageViews2[`${path}`];
      });
      useNuxtApp().hook("page:start", () => {
        unwatch();
      });
    }
    views.value = allPageViews.value[`${path}`] || "0";
    return views;
  }
};
